/* Programa: Music.prg
   Creditos: IBM, programa original en GWBASIC, 1981
	     Dennis L. Dias, funcion TONE() en ensamblador 09/12/87
   Autor:    Juan Carlos Ocampo de la Cruz, Version en Clipper 04/11/93
             e-mail: SodaStereano@hotmail.com
             Acapulco, Mxico */

#include'minigui.ch'
#include'hmg_BoxLetterShow.ch'   
#include'About.prg'

*----------------------------------------*
* (c) Mustafa Lpez  mustalopez@gmail.com
*----------------------------------------*
           
*--------------------------- TOOLTIP ----------------------------*
*--------- Rutina cedida  Por Marcos Antonio Gambeta ------------*
#define WM_USER             0x400
#define TTM_SETTITLE       (WM_USER + 32)
#define TTI_NONE                0
#define TTI_INFO                1
#define TTI_WARNING             2
#define TTI_ERROR               3
*----------------------------------------------------------------*

 Function Main()

      REQUEST HB_Lang_ES
      REQUEST HB_CODEPAGE_ESWIN
      HB_LangSelect('ES')
      HB_SetCodePage('ESWIN')

 SET DATE FRENCH
 SET CENTURY ON
 SET ESCAPE ON
 SET LANGUAGE TO SPANISH

 SET TOOLTIPSTYLE BALLOON
 SET TOOLTIPBACKCOLOR  { 255,255,184 }
 SET TOOLTIPFORECOLOR  { 000,000,000 }


               DEFINE WINDOW Win_1                    ;
                      AT 0,0                          ;
                      WIDTH  805                      ;
                      HEIGHT 695                      ;
                      BACKCOLOR { 000, 128, 001 }     ; 
                      TITLE 'Music Tone v.02'+SPACE(83)+' [ F2 ] -> About' ;
                      ICON 'LOGO'                     ;                 
                      MAIN NOMAXIMIZE                 

                      ON KEY ESCAPE ACTION Win_1.Release
                      ON KEY F2 ACTION ABOUT()  

                   DEFINE MAIN MENU
                        POPUP '&Music_A'
                               ITEM 'Yankee_Doodle'       ACTION Yankee_Doodle()       IMAGE 'resource\Note.bmp'     
                               ITEM 'La Cucaracha'        ACTION La_Cucaracha()        IMAGE 'resource\Note.bmp'   
                               ITEM 'Blue Danube Waltz'   ACTION Blue_Danube_Waltz()   IMAGE 'resource\Note.bmp'   
                               ITEM 'Humoresque'          ACTION Humoresque()          IMAGE 'resource\Note.bmp'    
                               ITEM 'Pop Goes The Weasel' ACTION Pop_Goes_The_Weasel() IMAGE 'resource\Note.bmp'     
                               ITEM 'Symphony_40'         ACTION Symphony_40()         IMAGE 'resource\Note.bmp'   
                               SEPARATOR
                               ITEM 'Exit'  ACTION thiswindow.release                  IMAGE 'resource\Exit.bmp'   
                        END POPUP
                        POPUP '&Music_B'
                               ITEM 'Funeral March'       ACTION Funeral_March()       IMAGE 'resource\Note.bmp'   
                               ITEM 'Stars_And_Stripes'   ACTION Stars_And_Stripes()   IMAGE 'resource\Note.bmp'   
                               ITEM 'El_sombrero'         ACTION El_sombrero()         IMAGE 'resource\Note.bmp'   
                               ITEM 'Sakura'              ACTION Sakura()              IMAGE 'resource\Note.bmp'    
                               ITEM 'Escalas'             ACTION Escalas()             IMAGE 'resource\Note.bmp'    
                               ITEM 'Popurry'             ACTION Popurrys()            IMAGE 'resource\Note.bmp'     
                               SEPARATOR
                               ITEM 'About'               ACTION ABOUT()               IMAGE 'resource\home.bmp'
                        END POPUP
                   END MENU


     LetterShadow ( 012, 273 ,"00x","01x","Music Tone v.02","Arial",24,.T.,.T., 000,000,000, 250,238,002 ) 

*-------------------------------------------------------------------*          
*------------------------- Yankee Doodle ---------------------------*
*-------------------------------------------------------------------*  

     LetterShadow ( 049, 093 ,"02x","03x","Yankee Doodle","Arial",08,.T.,.T., 000,000,000, 250,238,002 )     

     BoxShadow( 071, 061, 149, 129 ,"01a" ,"02a", 128 ,126 , 255 )     
          
        DEFINE IMAGE Fondo_1  
           ROW 069 ; COL 060 ; WIDTH 140 ; HEIGHT 120          
           PICTURE 'Resource\imagen0.bmp'      
           STRETCH .T.
        END IMAGE


*-------------------------------------------------------------------*
*-------------------------------------------------------------------*
          @ 207,097 BUTTON Music_1                     ;    
                          CAPTION "Music Off"          ;                   
                          TOOLTIP 'Yankee Doodle'      ;
                          WIDTH 70 HEIGHT 23           ; 
                          ACTION  ON01X() 

*-------------------------------------------------------------------*
*----------------------- La Cucaracha ------------------------------*
*-------------------------------------------------------------------*

     LetterShadow ( 049, 275 ,"04x","05x","La Cucaracha","Arial",08,.T.,.T., 000,000,000, 250,238,002 )     

     BoxShadow( 071, 238, 149, 129 ,"03a" ,"04a", 128 ,126 , 255 )  

        DEFINE IMAGE Fondo_2  
           ROW 069 ; COL 238 ; WIDTH 140 ; HEIGHT 120          
           PICTURE 'Resource\imagen0.bmp'      
           STRETCH .T.
        END IMAGE


  
*-------------------------------------------------------------------*
*-------------------------------------------------------------------*

          @ 207,270 BUTTON Music_2                     ;    
                          CAPTION 'Music Off'          ;                        
                          TOOLTIP 'La Cucaracha'       ;
                          WIDTH 70 HEIGHT 23           ; 
                          ACTION  ON02X()           

*-------------------------------------------------------------------*
*----------------------- Blue Danube Waltz -------------------------*
*-------------------------------------------------------------------*

        LetterShadow ( 049, 440 ,"06x","07x","Blue Danube Waltz","Arial",08,.T.,.T., 000,000,000, 250,238,002 )     


        BoxShadow( 071, 415, 149, 129 ,"05a" ,"06a", 128 ,126 , 255 )     

           
        DEFINE IMAGE Fondo_3  
           ROW 069 ; COL 414 ; WIDTH 140 ; HEIGHT 120          
           PICTURE 'Resource\imagen0.bmp'      
           STRETCH .T.
        END IMAGE

  
*-------------------------------------------------------------------*
*-------------------------------------------------------------------*

          @ 207,450 BUTTON Music_3                       ;    
                          CAPTION 'Music Off'            ;                        
                          TOOLTIP 'Blue Danube Waltz'    ;
                          WIDTH 70 HEIGHT 23             ; 
                          ACTION  ON03X()           

*-------------------------------------------------------------------*
*----------------------------- Humoresque --------------------------*
*-------------------------------------------------------------------*   

       LetterShadow ( 049, 625 ,"08x","09x","Humoresque","Arial",08,.T.,.T., 000,000,000, 250,238,002 )     
  
       BoxShadow( 071, 591, 149, 129 ,"07a" ,"08a", 128 ,126 , 255 )     

         DEFINE IMAGE Fondo_4  
           ROW 069 ; COL 590 ; WIDTH 140 ; HEIGHT 120          
           PICTURE 'Resource\imagen0.bmp'      
           STRETCH .T.
        END IMAGE

  
*-------------------------------------------------------------------*
*-------------------------------------------------------------------*

          @ 207,620 BUTTON Music_4                     ;    
                          CAPTION 'Music Off'          ;                        
                          TOOLTIP 'Humoresque'         ;
                          WIDTH 70 HEIGHT 23           ; 
                          ACTION  ON04X()           

*-------------------------------------------------------------------*
*------------------------- Pop_Goes_The_Weasel ---------------------*
*-------------------------------------------------------------------*   

    LetterShadow ( 240, 074 ,"10x","11x","Pop_Goes_The_Weasel","Arial",08,.T.,.T., 000,000,000, 250,238,002 )     

    BoxShadow( 262, 061, 149, 129 ,"09a" ,"10a", 128 ,126 , 255 )     
              
        DEFINE IMAGE Fondo_5 
           ROW 260 ; COL 060 ; WIDTH 140 ; HEIGHT 120          
           PICTURE 'Resource\imagen0.bmp'      
           STRETCH .T.
        END IMAGE


*-------------------------------------------------------------------*
*-------------------------------------------------------------------*

          @ 400,097 BUTTON Music_5                      ;    
                          CAPTION 'Music Off'           ;                        
                          TOOLTIP 'Pop_Goes_The_Weasel' ;
                          WIDTH 70 HEIGHT 23            ; 
                          ACTION  ON05X()           

*-------------------------------------------------------------------*
*----------------------------  Symphony_40 -------------------------*
*-------------------------------------------------------------------*   
   
     LetterShadow ( 240, 271 ,"12x","13x","Symphony_40","Arial",08,.T.,.T., 000,000,000, 250,238,002 )   
   
     BoxShadow( 262, 239, 149, 129 ,"11a" ,"12a", 128 ,126 , 255 )     

         DEFINE IMAGE Fondo_6  
           ROW 260 ; COL 238 ; WIDTH 140 ; HEIGHT 120          
           PICTURE 'Resource\imagen0.bmp'      
           STRETCH .T.
        END IMAGE

*-------------------------------------------------------------------*
*-------------------------------------------------------------------*

          @ 400,270 BUTTON Music_6                    ;    
                          CAPTION 'Music Off'         ;                        
                          TOOLTIP ' Symphony_40'      ;
                          WIDTH 70 HEIGHT 23          ; 
                          ACTION  ON06X()           

*-------------------------------------------------------------------*
*--------------------------  Funeral_March -------------------------*
*-------------------------------------------------------------------*  
 
       LetterShadow ( 240, 450 ,"14x","15x","Funeral_March","Arial",08,.T.,.T., 000,000,000, 250,238,002 )   

       BoxShadow( 262, 415, 149, 129 ,"13a" ,"14a", 128 ,126 , 255 )     
         
        DEFINE IMAGE Fondo_7 
           ROW 260 ; COL 414 ; WIDTH 140 ; HEIGHT 120          
           PICTURE 'Resource\imagen0.bmp'      
           STRETCH .T.
        END IMAGE

*-------------------------------------------------------------------*
*-------------------------------------------------------------------*

          @ 400,450 BUTTON Music_7                     ;    
                          CAPTION 'Music Off'          ;                        
                          TOOLTIP 'Funeral_March'      ;
                          WIDTH 70 HEIGHT 23           ; 
                          ACTION  ON07X()           

*-------------------------------------------------------------------*
*-----------------------  Stars_And_Stripes ------------------------*
*-------------------------------------------------------------------*   
   
       LetterShadow ( 240, 611 ,"16x","17x","Stars_And_Stripes","Arial",08,.T.,.T., 000,000,000, 250,238,002 )   

       BoxShadow( 262, 591, 149, 129 ,"15a" ,"16a", 128 ,126 , 255 )     

         DEFINE IMAGE Fondo_8 
           ROW 260 ; COL 590 ; WIDTH 140 ; HEIGHT 120          
           PICTURE 'Resource\imagen0.bmp'      
           STRETCH .T.
        END IMAGE

*-------------------------------------------------------------------*
*-------------------------------------------------------------------*

          @ 400,620 BUTTON Music_8                     ;    
                          CAPTION 'Music Off'          ;                        
                          TOOLTIP 'Stars_And_Stripes'  ;
                          WIDTH 70 HEIGHT 23           ; 
                          ACTION  ON08X()           

*-------------------------------------------------------------------*
*---------------------------  El Sombrero --------------------------*
*-------------------------------------------------------------------*   
 
     LetterShadow ( 431, 106 ,"18x","19x","El Sombrero","Arial",08,.T.,.T., 000,000,000, 250,238,002 )      
 
     BoxShadow( 453, 061, 149, 129 ,"17a" ,"18a", 128 ,126 , 255 )     
             
        DEFINE IMAGE Fondo_9
           ROW 451 ; COL 060 ; WIDTH 140 ; HEIGHT 120          
           PICTURE 'Resource\imagen0.bmp'      
           STRETCH .T.
        END IMAGE

  
*-------------------------------------------------------------------*
*-------------------------------------------------------------------*

          @ 591,097 BUTTON Music_9                     ;    
                          CAPTION 'Music Off'          ;                        
                          TOOLTIP 'El_sombrero'        ;
                          WIDTH 70 HEIGHT 23           ; 
                          ACTION  ON09X()           

*-------------------------------------------------------------------*
*------------------------------  Sakura ----------------------------*
*-------------------------------------------------------------------* 
  
     LetterShadow ( 431, 285 ,"20x","21x","Sakura","Arial",08,.T.,.T., 000,000,000, 250,238,002 )      
   
     BoxShadow( 453, 239, 149, 129 ,"19a" ,"20a", 128 ,126 , 255 )     

        DEFINE IMAGE Fondo_10  
           ROW 451 ; COL 238 ; WIDTH 140 ; HEIGHT 120          
           PICTURE 'Resource\imagen0.bmp'      
           STRETCH .T.
        END IMAGE


*-------------------------------------------------------------------*
*-------------------------------------------------------------------*

          @ 591,270 BUTTON Music_10                    ;    
                          CAPTION 'Music Off'          ;                        
                          TOOLTIP 'Sakura'             ;
                          WIDTH 70 HEIGHT 23           ; 
                          ACTION  ON010X()           

*-------------------------------------------------------------------*
*------------------------------ Escalas ----------------------------*
*-------------------------------------------------------------------*   

       LetterShadow ( 431, 450 ,"22x","23x","Scal Melody","Arial",08,.T.,.T., 000,000,000, 250,238,002 )      
   
       BoxShadow( 453, 415, 149, 129 ,"21a" ,"22a", 128 ,126 , 255 )     
        
        DEFINE IMAGE Fondo_11 
           ROW 451 ; COL 414 ; WIDTH 140 ; HEIGHT 120          
           PICTURE 'Resource\imagen0.bmp'      
           STRETCH .T.
        END IMAGE
  
*-------------------------------------------------------------------*
*-------------------------------------------------------------------*

          @ 591,450 BUTTON Music_11                    ;    
                          CAPTION 'Music Off'          ;                        
                          TOOLTIP 'Scal Melody'        ;
                          WIDTH 70 HEIGHT 23           ; 
                          ACTION  ON011X()           

*-------------------------------------------------------------------*
*-----------------------------  Popurry ----------------------------*
*-------------------------------------------------------------------*   
  
      LetterShadow ( 431, 618 ,"24x","25x","Popurrys Melody","Arial",08,.T.,.T., 000,000,000, 250,238,002 )   
   
      BoxShadow( 453, 591, 149, 129 ,"23a" ,"24a", 128 ,126 , 255 )     

         DEFINE IMAGE Fondo_12 
           ROW 451 ; COL 590 ; WIDTH 140 ; HEIGHT 120          
           PICTURE 'Resource\imagen0.bmp'      
           STRETCH .T.
        END IMAGE
*-------------------------------------------------------------------*
*-------------------------------------------------------------------*

          @ 591,620 BUTTON Music_12                    ;    
                          CAPTION 'Music Off'          ;                        
                          TOOLTIP 'Popurrys Melody'    ;
                          WIDTH 70 HEIGHT 23           ; 
                          ACTION  ON012X()          

*-------------------------------------------------------------------*
*-------------------------------------------------------------------*

       END WINDOW


*---------------------------------------------   TOOLTIP   ----------------------------------------------------*
       SendMessageString( GetFormToolTipHandle ("Win_1"), TTM_SETTITLE, TTI_INFO, "Music Tone" )  
*--------------------------------------------------------------------------------------------------------------*

       SETWINDOWCURSOR ( Win_1.Music_1.Handle, "Resource\finger.cur")


       CENTER WINDOW Win_1
       ACTIVATE WINDOW Win_1


RETURN NIL

*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*

*--------------------------------*
PROCEDURE Sonido(aFrecDurac)
*--------------------------------*

  FOR nIndice=1 TO LEN(aFrecDurac) STEP 2        
     *** Quien sabe que significa esta formula, pero funciona (escrito por el autor)
     TONE(36.8*(2^(1/12))^(aFrecDurac[nIndice]-6),aFrecDurac[nIndice+1])
  NEXT

Win_1.Fondo_1.Show

RETURN


*------------------------------*
PROCEDURE ON01X()
*------------------------------*

	  Win_1.Music_1.Caption := "Music On" 

          *---------------------------* 

          Win_1.Music_2.Enabled  := .F.    
          Win_1.Music_3.Enabled  := .F.  
          Win_1.Music_4.Enabled  := .F.    
          Win_1.Music_5.Enabled  := .F.     
          Win_1.Music_6.Enabled  := .F.    
          Win_1.Music_7.Enabled  := .F.     
          Win_1.Music_8.Enabled  := .F.    
          Win_1.Music_9.Enabled  := .F.     
          Win_1.Music_10.Enabled := .F.    
          Win_1.Music_11.Enabled := .F.     
          Win_1.Music_12.Enabled := .F.    
          
          *---------------------------* 

          Win_1.Fondo_1.Picture:='Resource\imagen1.bmp'  
	  Inkey(0.6)
	  Win_1.Fondo_1.Picture:='Resource\imagen2.bmp'   
	  Inkey(0.5)
	  Win_1.Fondo_1.Picture:='Resource\imagen3.bmp'   
	  Inkey(0.4)
         
          *---------------------------* 
         
          Win_1.Music_2.Enabled  := .T.    
          Win_1.Music_3.Enabled  := .T. 
          Win_1.Music_4.Enabled  := .T.    
          Win_1.Music_5.Enabled  := .T.     
          Win_1.Music_6.Enabled  := .T.    
          Win_1.Music_7.Enabled  := .T.     
          Win_1.Music_8.Enabled  := .T.    
          Win_1.Music_9.Enabled  := .T.     
          Win_1.Music_10.Enabled := .T.    
          Win_1.Music_11.Enabled := .T.     
          Win_1.Music_12.Enabled := .T.     

          *----- Melody Name ---------* 

          Yankee_Doodle()
   
          *---------------------------* 
          Inkey(0.4)
          Win_1.Fondo_1.Picture:='Resource\imagen2.bmp'   
	  Inkey(0.5)
          Win_1.Fondo_1.Picture:='Resource\imagen1.bmp'   
	  Inkey(0.6) 
          Win_1.Fondo_1.Picture:='Resource\imagen0.bmp'   
	  Inkey(0.7) 

          *---------------------------*

          Win_1.Music_1.Caption := "Music Off"  
       
RETURN  

*------------------------------------------------------------*
PROCEDURE  ON02X()   
*------------------------------------------------------------*
          
          Win_1.Music_2.Caption := "Music On" 

          Win_1.Music_1.Enabled  := .F.    
          Win_1.Music_3.Enabled  := .F.  
          Win_1.Music_4.Enabled  := .F.    
          Win_1.Music_5.Enabled  := .F.     
          Win_1.Music_6.Enabled  := .F.    
          Win_1.Music_7.Enabled  := .F.     
          Win_1.Music_8.Enabled  := .F.    
          Win_1.Music_9.Enabled  := .F.     
          Win_1.Music_10.Enabled := .F.    
          Win_1.Music_11.Enabled := .F.     
          Win_1.Music_12.Enabled := .F.    
          
          *---------------------------* 

          Win_1.Fondo_2.Picture:='Resource\imagen1.bmp' 
	  Inkey(0.6)
       	  Win_1.Fondo_2.Picture:='Resource\imagen2.bmp'   
	  Inkey(0.5)
          Win_1.Fondo_2.Picture:='Resource\imagen3.bmp'  
	  Inkey(0.4)
          
          *---------------------------* 
          
          Win_1.Music_1.Enabled  := .T.    
          Win_1.Music_3.Enabled  := .T. 
          Win_1.Music_4.Enabled  := .T.    
          Win_1.Music_5.Enabled  := .T.     
          Win_1.Music_6.Enabled  := .T.    
          Win_1.Music_7.Enabled  := .T.     
          Win_1.Music_8.Enabled  := .T.    
          Win_1.Music_9.Enabled  := .T.     
          Win_1.Music_10.Enabled := .T.    
          Win_1.Music_11.Enabled := .T.     
          Win_1.Music_12.Enabled := .T.     

          *----- Melody Name ---------* 
        
           La_Cucaracha()  

          *---------------------------* 

          Inkey(0.4)
          Win_1.Fondo_2.Picture:='Resource\imagen2.bmp'   
	  Inkey(0.5)
          Win_1.Fondo_2.Picture:='Resource\imagen1.bmp'   
	  Inkey(0.6) 
          Win_1.Fondo_2.Picture:='Resource\imagen0.bmp'   
	  Inkey(0.7) 

          *---------------------------* 
            
          Win_1.Music_2.Caption := "Music Off"    

      
  RETURN NIL

*------------------------------------------------------------*
PROCEDURE  ON03X()   
*------------------------------------------------------------*

          Win_1.Music_3.Caption := "Music On" 

          Win_1.Music_1.Enabled  := .F.    
          Win_1.Music_2.Enabled  := .F.  
          Win_1.Music_4.Enabled  := .F.    
          Win_1.Music_5.Enabled  := .F.     
          Win_1.Music_6.Enabled  := .F.    
          Win_1.Music_7.Enabled  := .F.     
          Win_1.Music_8.Enabled  := .F.    
          Win_1.Music_9.Enabled  := .F.     
          Win_1.Music_10.Enabled := .F.    
          Win_1.Music_11.Enabled := .F.     
          Win_1.Music_12.Enabled := .F.    
          
          *---------------------------* 

          Win_1.Fondo_3.Picture:='Resource\imagen1.bmp'  
	  Inkey(0.6)
          Win_1.Fondo_3.Picture:='Resource\imagen2.bmp'   
	  Inkey(0.5)
          Win_1.Fondo_3.Picture:='Resource\imagen3.bmp'  
	  Inkey(0.4)

          *---------------------------*       
     
          Win_1.Music_1.Enabled  := .T.    
          Win_1.Music_2.Enabled  := .T. 
          Win_1.Music_4.Enabled  := .T.    
          Win_1.Music_5.Enabled  := .T.     
          Win_1.Music_6.Enabled  := .T.    
          Win_1.Music_7.Enabled  := .T.     
          Win_1.Music_8.Enabled  := .T.    
          Win_1.Music_9.Enabled  := .T.     
          Win_1.Music_10.Enabled := .T.    
          Win_1.Music_11.Enabled := .T.     
          Win_1.Music_12.Enabled := .T.     

          *----- Melody Name ---------* 
        
          Blue_Danube_Waltz() 

          *---------------------------*  
              
          Inkey(0.4)
          Win_1.Fondo_3.Picture:='Resource\imagen2.bmp'  
	  Inkey(0.5)
          Win_1.Fondo_3.Picture:='Resource\imagen1.bmp'   
       	  Inkey(0.6) 
          Win_1.Fondo_3.Picture:='Resource\imagen0.bmp'   
          Inkey(0.7) 

          *---------------------------*      
          
          Win_1.Music_3.Caption := "Music Off"  
 
        

  RETURN NIL

*------------------------------------------------------------*
PROCEDURE  ON04X()   
*------------------------------------------------------------*

          Win_1.Music_4.Caption := "Music On" 

          Win_1.Music_1.Enabled  := .F.    
          Win_1.Music_2.Enabled  := .F.  
          Win_1.Music_3.Enabled  := .F.    
          Win_1.Music_5.Enabled  := .F.     
          Win_1.Music_6.Enabled  := .F.    
          Win_1.Music_7.Enabled  := .F.     
          Win_1.Music_8.Enabled  := .F.    
          Win_1.Music_9.Enabled  := .F.     
          Win_1.Music_10.Enabled := .F.    
          Win_1.Music_11.Enabled := .F.     
          Win_1.Music_12.Enabled := .F.    
          
          *---------------------------* 
          
          Win_1.Fondo_4.Picture:='Resource\imagen1.bmp'  
	  Inkey(0.6)
          Win_1.Fondo_4.Picture:='Resource\imagen2.bmp'  
	  Inkey(0.5)
          Win_1.Fondo_4.Picture:='Resource\imagen3.bmp'  
	  Inkey(0.4)
        
          *---------------------------* 
         
          Win_1.Music_1.Enabled  := .T.    
          Win_1.Music_2.Enabled  := .T. 
          Win_1.Music_3.Enabled  := .T.    
          Win_1.Music_5.Enabled  := .T.     
          Win_1.Music_6.Enabled  := .T.    
          Win_1.Music_7.Enabled  := .T.     
          Win_1.Music_8.Enabled  := .T.    
          Win_1.Music_9.Enabled  := .T.     
          Win_1.Music_10.Enabled := .T.    
          Win_1.Music_11.Enabled := .T.     
          Win_1.Music_12.Enabled := .T.     

          *----- Melody Name ---------* 
        
          Humoresque()  
        
          *---------------------------*     
   
          Inkey(0.4)
          Win_1.Fondo_4.Picture:='Resource\imagen2.bmp'  
	  Inkey(0.5)
          Win_1.Fondo_4.Picture:='Resource\imagen1.bmp'   
          Inkey(0.6) 
          Win_1.Fondo_4.Picture:='Resource\imagen0.bmp'   
          Inkey(0.7) 
          
          *---------------------------*     
          
          Win_1.Music_4.Caption := "Music Off"        

  RETURN NIL

*------------------------------------------------------------*
PROCEDURE  ON05X()   
*------------------------------------------------------------*
          
          Win_1.Music_5.Caption := "Music On" 
 
          Win_1.Music_1.Enabled  := .F.    
          Win_1.Music_2.Enabled  := .F.  
          Win_1.Music_3.Enabled  := .F.    
          Win_1.Music_4.Enabled  := .F.     
          Win_1.Music_6.Enabled  := .F.    
          Win_1.Music_7.Enabled  := .F.     
          Win_1.Music_8.Enabled  := .F.    
          Win_1.Music_9.Enabled  := .F.     
          Win_1.Music_10.Enabled := .F.    
          Win_1.Music_11.Enabled := .F.     
          Win_1.Music_12.Enabled := .F.    
          
          *---------------------------* 

          Win_1.Fondo_5.Picture:='Resource\imagen1.bmp' 
	  Inkey(0.6)
          Win_1.Fondo_5.Picture:='Resource\imagen2.bmp'   
	  Inkey(0.5)
          Win_1.Fondo_5.Picture:='Resource\imagen3.bmp'  
	  Inkey(0.4)

          *---------------------------* 
         
          Win_1.Music_1.Enabled  := .T.    
          Win_1.Music_2.Enabled  := .T. 
          Win_1.Music_3.Enabled  := .T.    
          Win_1.Music_4.Enabled  := .T.     
          Win_1.Music_6.Enabled  := .T.    
          Win_1.Music_7.Enabled  := .T.     
          Win_1.Music_8.Enabled  := .T.    
          Win_1.Music_9.Enabled  := .T.     
          Win_1.Music_10.Enabled := .T.    
          Win_1.Music_11.Enabled := .T.     
          Win_1.Music_12.Enabled := .T.     

          *----- Melody Name ---------* 
        
          Pop_Goes_The_Weasel()   
        
          *---------------------------* 
       
          Inkey(0.4)
          Win_1.Fondo_5.Picture:='Resource\imagen2.bmp'   
	  Inkey(0.5)
          Win_1.Fondo_5.Picture:='Resource\imagen1.bmp'  
	  Inkey(0.6) 
          Win_1.Fondo_5.Picture:='Resource\imagen0.bmp'   
	  Inkey(0.7) 

          *---------------------------*   
  
          Win_1.Music_5.Caption := "Music Off"  

         
RETURN NIL

*------------------------------------------------------------*
PROCEDURE  ON06X()   
*------------------------------------------------------------*
          Win_1.Music_6.Caption := "Music On"  
          
          Win_1.Music_1.Enabled  := .F.    
          Win_1.Music_2.Enabled  := .F.  
          Win_1.Music_3.Enabled  := .F.    
          Win_1.Music_4.Enabled  := .F.     
          Win_1.Music_5.Enabled  := .F.    
          Win_1.Music_7.Enabled  := .F.     
          Win_1.Music_8.Enabled  := .F.    
          Win_1.Music_9.Enabled  := .F.     
          Win_1.Music_10.Enabled := .F.    
          Win_1.Music_11.Enabled := .F.     
          Win_1.Music_12.Enabled := .F.    
          
          *---------------------------* 

          Win_1.Fondo_6.Picture:='Resource\imagen1.bmp' 
	  Inkey(0.6)
          Win_1.Fondo_6.Picture:='Resource\imagen2.bmp'   
	  Inkey(0.5)
          Win_1.Fondo_6.Picture:='Resource\imagen3.bmp'   
	  Inkey(0.4)

          *---------------------------* 
         
          Win_1.Music_1.Enabled  := .T.    
          Win_1.Music_2.Enabled  := .T. 
          Win_1.Music_3.Enabled  := .T.    
          Win_1.Music_4.Enabled  := .T.     
          Win_1.Music_5.Enabled  := .T.    
          Win_1.Music_7.Enabled  := .T.     
          Win_1.Music_8.Enabled  := .T.    
          Win_1.Music_9.Enabled  := .T.     
          Win_1.Music_10.Enabled := .T.    
          Win_1.Music_11.Enabled := .T.     
          Win_1.Music_12.Enabled := .T.     

          *----- Melody Name ---------* 
 
          Symphony_40() 
        
          *---------------------------* 
   
          Inkey(0.4)
          Win_1.Fondo_6.Picture:='Resource\imagen2.bmp'  
	  Inkey(0.5)
          Win_1.Fondo_6.Picture:='Resource\imagen1.bmp'   
	  Inkey(0.6) 
          Win_1.Fondo_6.Picture:='Resource\imagen0.bmp'   
	  Inkey(0.7) 

          *---------------------------*  
    
          Win_1.Music_6.Caption := "Music Off"  

        

 RETURN NIL

*------------------------------------------------------------*
PROCEDURE  ON07X()   
*------------------------------------------------------------*
           
          Win_1.Music_7.Caption := "Music On" 

          Win_1.Music_1.Enabled  := .F.    
          Win_1.Music_2.Enabled  := .F.  
          Win_1.Music_3.Enabled  := .F.    
          Win_1.Music_4.Enabled  := .F.     
          Win_1.Music_5.Enabled  := .F.    
          Win_1.Music_6.Enabled  := .F.     
          Win_1.Music_8.Enabled  := .F.    
          Win_1.Music_9.Enabled  := .F.     
          Win_1.Music_10.Enabled := .F.    
          Win_1.Music_11.Enabled := .F.     
          Win_1.Music_12.Enabled := .F.    
          
          *---------------------------* 

          Win_1.Fondo_7.Picture:='Resource\imagen1.bmp'  
	  Inkey(0.6)
       	  Win_1.Fondo_7.Picture:='Resource\imagen2.bmp'   
	  Inkey(0.5)
          Win_1.Fondo_7.Picture:='Resource\imagen3.bmp'  
	  Inkey(0.4)    
        
          *---------------------------* 
         
          Win_1.Music_1.Enabled  := .T.    
          Win_1.Music_2.Enabled  := .T. 
          Win_1.Music_3.Enabled  := .T.    
          Win_1.Music_4.Enabled  := .T.     
          Win_1.Music_5.Enabled  := .T.    
          Win_1.Music_6.Enabled  := .T.     
          Win_1.Music_8.Enabled  := .T.    
          Win_1.Music_9.Enabled  := .T.     
          Win_1.Music_10.Enabled := .T.    
          Win_1.Music_11.Enabled := .T.     
          Win_1.Music_12.Enabled := .T.     

          *----- Melody Name ---------*     
          
          Funeral_March()      
        
          *---------------------------* 

          Inkey(0.4)
          Win_1.Fondo_7.Picture:='Resource\imagen2.bmp'  
          Inkey(0.5)
          Win_1.Fondo_7.Picture:='Resource\imagen1.bmp'  
  	  Inkey(0.6) 
          Win_1.Fondo_7.Picture:='Resource\imagen0.bmp'   
          Inkey(0.7) 
          
          *---------------------------*      
          
          Win_1.Music_7.Caption := "Music Off" 


 RETURN NIL

*------------------------------------------------------------*
PROCEDURE  ON08X()   
*------------------------------------------------------------*

          Win_1.Music_8.Caption := "Music On" 

          Win_1.Music_1.Enabled  := .F.    
          Win_1.Music_2.Enabled  := .F.  
          Win_1.Music_3.Enabled  := .F.    
          Win_1.Music_4.Enabled  := .F.     
          Win_1.Music_5.Enabled  := .F.    
          Win_1.Music_6.Enabled  := .F.     
          Win_1.Music_7.Enabled  := .F.    
          Win_1.Music_9.Enabled  := .F.     
          Win_1.Music_10.Enabled := .F.    
          Win_1.Music_11.Enabled := .F.     
          Win_1.Music_12.Enabled := .F.    
          
          *---------------------------* 

          Win_1.Fondo_8.Picture:='Resource\imagen1.bmp'  
	  Inkey(0.6)
          Win_1.Fondo_8.Picture:='Resource\imagen2.bmp'   
	  Inkey(0.5)
          Win_1.Fondo_8.Picture:='Resource\imagen3.bmp'   
	  Inkey(0.4)

          *---------------------------* 
         
          Win_1.Music_1.Enabled  := .T.    
          Win_1.Music_2.Enabled  := .T. 
          Win_1.Music_3.Enabled  := .T.    
          Win_1.Music_4.Enabled  := .T.     
          Win_1.Music_5.Enabled  := .T.    
          Win_1.Music_6.Enabled  := .T.     
          Win_1.Music_7.Enabled  := .T.    
          Win_1.Music_9.Enabled  := .T.     
          Win_1.Music_10.Enabled := .T.    
          Win_1.Music_11.Enabled := .T.     
          Win_1.Music_12.Enabled := .T.     

          *----- Melody Name ---------*   
         
          Stars_And_Stripes() 

          *---------------------------* 
        
          Inkey(0.4)
          Win_1.Fondo_8.Picture:='Resource\imagen2.bmp'   
	  Inkey(0.5)
          Win_1.Fondo_8.Picture:='Resource\imagen1.bmp'  
	  Inkey(0.6) 
          Win_1.Fondo_8.Picture:='Resource\imagen0.bmp'   
	  Inkey(0.7) 

          *---------------------------*     
          
          Win_1.Music_8.Caption := "Music Off"  

 RETURN NIL

*------------------------------------------------------------*
PROCEDURE  ON09X()   
*------------------------------------------------------------*

          Win_1.Music_9.Caption := "Music On" 

          Win_1.Music_1.Enabled  := .F.    
          Win_1.Music_2.Enabled  := .F.  
          Win_1.Music_3.Enabled  := .F.    
          Win_1.Music_4.Enabled  := .F.     
          Win_1.Music_5.Enabled  := .F.    
          Win_1.Music_6.Enabled  := .F.     
          Win_1.Music_7.Enabled  := .F.    
          Win_1.Music_8.Enabled  := .F.     
          Win_1.Music_10.Enabled := .F.    
          Win_1.Music_11.Enabled := .F.     
          Win_1.Music_12.Enabled := .F.    
          
          *---------------------------* 

          Win_1.Fondo_9.Picture:='Resource\imagen1.bmp'  
	  Inkey(0.6)
          Win_1.Fondo_9.Picture:='Resource\imagen2.bmp'   
	  Inkey(0.5)
          Win_1.Fondo_9.Picture:='Resource\imagen3.bmp'   
	  Inkey(0.4)

          *---------------------------* 
         
          Win_1.Music_1.Enabled  := .T.    
          Win_1.Music_2.Enabled  := .T. 
          Win_1.Music_3.Enabled  := .T.    
          Win_1.Music_4.Enabled  := .T.     
          Win_1.Music_5.Enabled  := .T.    
          Win_1.Music_6.Enabled  := .T.     
          Win_1.Music_7.Enabled  := .T.    
          Win_1.Music_8.Enabled  := .T.     
          Win_1.Music_10.Enabled := .T.    
          Win_1.Music_11.Enabled := .T.     
          Win_1.Music_12.Enabled := .T.     

          *----- Melody Name ---------*  
  
          El_sombrero()   

          *---------------------------*  
 
          Inkey(0.4)
          Win_1.Fondo_9.Picture:='Resource\imagen2.bmp'   
          Inkey(0.5)
          Win_1.Fondo_9.Picture:='Resource\imagen1.bmp'   
	  Inkey(0.6) 
          Win_1.Fondo_9.Picture:='Resource\imagen0.bmp'  
   	  Inkey(0.7) 
          
          *---------------------------*     
          
          Win_1.Music_9.Caption := "Music Off"  

RETURN NIL


*------------------------------------------------------------*
PROCEDURE  ON010X()   
*------------------------------------------------------------*
            
          Win_1.Music_10.Caption := "Music On" 
         
          Win_1.Music_1.Enabled := .F.    
          Win_1.Music_2.Enabled := .F.  
          Win_1.Music_3.Enabled := .F.    
          Win_1.Music_4.Enabled := .F.     
          Win_1.Music_5.Enabled := .F.    
          Win_1.Music_6.Enabled := .F.     
          Win_1.Music_7.Enabled := .F.    
          Win_1.Music_8.Enabled := .F.     
          Win_1.Music_9.Enabled := .F.    
          Win_1.Music_11.Enabled:= .F.     
          Win_1.Music_12.Enabled:= .F.    
          
          *---------------------------* 

          Win_1.Fondo_10.Picture:='Resource\imagen1.bmp'  
	  Inkey(0.6)
       	  Win_1.Fondo_10.Picture:='Resource\imagen2.bmp'   
	  Inkey(0.5)
          Win_1.Fondo_10.Picture:='Resource\imagen3.bmp'  
	  Inkey(0.4)
    
          *---------------------------* 
         
          Win_1.Music_1.Enabled := .T.    
          Win_1.Music_2.Enabled := .T. 
          Win_1.Music_3.Enabled := .T.    
          Win_1.Music_4.Enabled := .T.     
          Win_1.Music_5.Enabled := .T.    
          Win_1.Music_6.Enabled := .T.     
          Win_1.Music_7.Enabled := .T.    
          Win_1.Music_8.Enabled := .T.     
          Win_1.Music_9.Enabled := .T.    
          Win_1.Music_11.Enabled:= .T.     
          Win_1.Music_12.Enabled:= .T.     

          *----- Melody Name ---------*   
      
          Sakura() 
    
          *---------------------------* 
                 
          Inkey(0.4)
          Win_1.Fondo_10.Picture:='Resource\imagen2.bmp'   
	  Inkey(0.5)
          Win_1.Fondo_10.Picture:='Resource\imagen1.bmp'   
  	  Inkey(0.6) 
          Win_1.Fondo_10.Picture:='Resource\imagen0.bmp'  
       	  Inkey(0.7) 

          *---------------------------*     
       
          Win_1.Music_10.Caption := "Music Off" 

        
  RETURN NIL

*------------------------------------------------------------*
PROCEDURE  ON011X()   
*------------------------------------------------------------*

          Win_1.Music_11.Caption := "Music On" 

          Win_1.Music_1.Enabled := .F.    
          Win_1.Music_2.Enabled := .F. 
          Win_1.Music_3.Enabled := .F.    
          Win_1.Music_4.Enabled := .F.     
          Win_1.Music_5.Enabled := .F.    
          Win_1.Music_6.Enabled := .F.     
          Win_1.Music_7.Enabled := .F.    
          Win_1.Music_8.Enabled := .F.     
          Win_1.Music_9.Enabled := .F.    
          Win_1.Music_10.Enabled:= .F.     
          Win_1.Music_12.Enabled:= .F.     

          *---------------------------* 

          Win_1.Fondo_11.Picture:='Resource\imagen1.bmp'  
	  Inkey(0.6)
          Win_1.Fondo_11.Picture:='Resource\imagen2.bmp'   
	  Inkey(0.5)
          Win_1.Fondo_11.Picture:='Resource\imagen3.bmp'   
	  Inkey(0.4)
  
          *---------------------------*  

          Win_1.Music_1.Enabled := .T.    
          Win_1.Music_2.Enabled := .T.  
          Win_1.Music_3.Enabled := .T.    
          Win_1.Music_4.Enabled := .T.     
          Win_1.Music_5.Enabled := .T.    
          Win_1.Music_6.Enabled := .T.     
          Win_1.Music_7.Enabled := .T.    
          Win_1.Music_8.Enabled := .T.     
          Win_1.Music_9.Enabled := .T.    
          Win_1.Music_10.Enabled:= .T.     
          Win_1.Music_12.Enabled:= .T.   
 
          *----- Melody Name ---------* 
 
          Escalas()  
  
          *---------------------------*  
  
          Inkey(0.4)
          Win_1.Fondo_11.Picture:='Resource\imagen2.bmp'   
	  Inkey(0.5)
          Win_1.Fondo_11.Picture:='Resource\imagen1.bmp'  
	  Inkey(0.6) 
          Win_1.Fondo_11.Picture:='Resource\imagen0.bmp'  
	  Inkey(0.7) 

          *---------------------------*  
         
          Win_1.Music_11.Caption := "Music Off"  


RETURN NIL


*------------------------------------------------------------*
PROCEDURE  ON012X()   
*------------------------------------------------------------*

          Win_1.Music_12.Caption := "Music On" 

          Win_1.Music_1.Enabled := .F.    
          Win_1.Music_2.Enabled := .F. 
          Win_1.Music_3.Enabled := .F.    
          Win_1.Music_4.Enabled := .F.     
          Win_1.Music_5.Enabled := .F.    
          Win_1.Music_6.Enabled := .F.     
          Win_1.Music_7.Enabled := .F.    
          Win_1.Music_8.Enabled := .F.     
          Win_1.Music_9.Enabled := .F.    
          Win_1.Music_10.Enabled:= .F.     
          Win_1.Music_11.Enabled:= .F.     

          *---------------------------* 

          Win_1.Fondo_12.Picture:='Resource\imagen1.bmp'  
	  Inkey(0.6)
          Win_1.Fondo_12.Picture:='Resource\imagen2.bmp'   
	  Inkey(0.5)
          Win_1.Fondo_12.Picture:='Resource\imagen3.bmp'  
	  Inkey(0.4)

          *---------------------------*  

          Win_1.Music_1.Enabled := .T.    
          Win_1.Music_2.Enabled := .T.  
          Win_1.Music_3.Enabled := .T.    
          Win_1.Music_4.Enabled := .T.     
          Win_1.Music_5.Enabled := .T.    
          Win_1.Music_6.Enabled := .T.     
          Win_1.Music_7.Enabled := .T.    
          Win_1.Music_8.Enabled := .T.     
          Win_1.Music_9.Enabled := .T.    
          Win_1.Music_10.Enabled:= .T.     
          Win_1.Music_11.Enabled:= .T.
  
          *----- Melody Name ---------*  
                 
          Popurrys()    
        
          *---------------------------*  
        
          Inkey(0.4)
          Win_1.Fondo_12.Picture:='Resource\imagen2.bmp'  
	  Inkey(0.5)
          Win_1.Fondo_12.Picture:='Resource\imagen1.bmp'   
	  Inkey(0.6) 
          Win_1.Fondo_12.Picture:='Resource\imagen0.bmp'  
	  Inkey(0.7) 

          *---------------------------*  

          Win_1.Music_12.Caption := "Music Off" 

        
RETURN NIL


*------------------------------*
 PROCEDURE Yankee_Doodle()        
*------------------------------* 
 
        aNotas1={50,3,50,3,52,3,54,3,50,3,54,3,52,3,45,3,50,3,50,3,52,3,54,3,50,6,;
	       49,3,1,3,;
	       50,3,50,3,52,3,54,3,55,3,54,3,52,3,50,3,49,3,45,3,47,3,49,3,50,6,;
	       50,3,1,3,;
	       47,5,49,1,47,3,45,3,47,3,49,3,50,3,1,3,45,5,47,1,45,3,43,3,42,6,;
	       45,3,1,3,;
	       47,5,49,1,47,3,45,3,47,3,49,3,50,3,47,3,45,3,50,3,49,3,52,3,50,6,;
	       50,6}


  Sonido(aNotas1)      

RETURN

*------------------------------*
 PROCEDURE La_Cucaracha()   
*------------------------------*        

       aNotas2={42,1,1,1,42,1,1,1,42,1,1,1,47,1,1,5,51,1,1,3,42,1,1,1,42,1,1,1,;
	       42,1,1,1,47,1,1,5,51,1,1,5,30,1,1,1,30,1,1,1,35,1,1,3,47,1,1,1,;
	       47,1,1,1,46,1,1,1,46,1,1,1,44,1,1,1,44,1,1,1,42,8,1,2,42,1,1,1,;
	       42,1,1,1,42,1,1,1,46,1,1,5,49,1,1,3,42,1,1,1,42,1,1,1,42,1,1,1,;
	       46,1,1,5,49,1,1,5,37,1,1,1,37,1,1,1,30,1,1,3,54,2,56,2,54,2,52,2,;
	       51,2,49,2,47,8}

  Sonido(aNotas2) 
    
RETURN

*------------------------------*
 PROCEDURE Blue_Danube_Waltz() 
*------------------------------*     
   nOpcion=3
       aNotas3={42,4,46,4,49,4,49,4,1,4,61,2,1,2,61,2,1,6,58,2,1,2,58,2,1,6,42,4,42,4,;
	       46,4,49,4,;
	       49,4,1,4,61,2,1,2,61,2,1,6,59,2,1,2,59,2,1,6,41,4,41,4,44,4,51,4,51,4,;
	       1,4,63,2,1,2,63,2,1,6,59,2,1,2,;
	       59,2,1,6,41,4,41,4,44,4,51,4,51,4,1,4,63,2,1,2,63,2,1,6,58,2,1,2,58,2,;
	       1,6,42,4,;
	       42,4,46,4,49,4,54,4,1,4,66,2,1,2,66,2,1,6,61,2,1,2,61,2,1,6,42,4,;
	       42,4,46,4,49,4,54,4,1,4,66,2,1,2}
       *** Para evitar el error PARSE STACK OVERFLOW
       aNotas4={66,2,1,6,63,2,1,2,63,2,1,6,44,4,44,4,47,4,51,2,1,2,51,14,1,2,48,4,;
		49,4,58,16,;
		54,4,46,4,46,8,44,4,51,8,49,4,42,4,1,2,42,2,42,4,1,8,49,2,1,2,47,2,;
		1,6,49,2,1,2,;
		47,2,1,6,49,4,58,16,56,4,49,2,1,2,46,2,1,6,49,2,1,2,46,2,1,6,49,4,;
		56,16,54,4,49,2,1,2,47,2,1,6,49,2,1,2,47,2,1,6,49,4,58,16,;
		56,4,49,4,54,4,56,4,58,4,61,8,59,4,58,2,58,2,58,4,58,2,1,2,54,4,1,8}
  Sonido(aNotas3)      
  IF nOpcion=3 .AND. LASTKEY()#27
     Sonido(aNotas4) // Si es la melodia mas larga, toca la 2da. parte
  ENDIF

 RETURN

*-------------------------------*
 PROCEDURE Humoresque()     
*-------------------------------*    

       aNotas5={47,3,1,2,49,1,47,3,1,2,49,1,51,3,1,2,54,1,56,3,1,2,54,1,;
	       59,3,1,2,58,1,61,3,1,2,59,1,58,3,1,2,61,1,59,3,1,2,56,1,;
	       54,3,1,2,54,1,56,3,1,2,54,1,59,3,1,2,56,1,54,3,1,2,51,1,;
	       49,24,47,3,1,2,49,1,47,3,1,2,49,1,51,3,1,2,54,1,56,3,1,2,54,1,;
	       56,3,1,2,58,1,61,3,1,2,59,1,58,3,1,2,61,1,59,3,1,2,56,1,;
	       54,3,1,2,54,1,59,3,1,2,47,1,49,6,54,6,47,18}

  Sonido(aNotas5)      

RETURN

*-------------------------------*
 PROCEDURE Pop_Goes_The_Weasel()   
*-------------------------------*    

       aNotas6={47,2,1,2,47,2,49,2,1,2,49,2,51,2,54,2,51,2,47,2,1,2,42,2,;
	       47,2,1,2,47,2,49,2,1,2,49,2,51,6,47,2,1,2,42,2,47,2,1,2,47,2,49,2,;
	       1,2,49,2,51,2,54,2,51,2,47,2,1,4,56,2,1,4,49,2,1,2,52,2,51,6,47,2,;
	       1,4,59,2,1,2,59,2,56,2,1,2,59,2,58,2,61,2,58,2,54,2,1,4,59,2,1,2,;
	       59,2,56,2,1,2,59,2,58,6,54,2,1,2,51,2,52,2,1,2,51,2,52,2,1,2,54,2,;
	       56,2,1,2,58,2,59,2,1,4,56,2,1,4,49,2,1,2,52,2,51,6,47,2}

  Sonido(aNotas6)  
   
 RETURN
*------------------------------*
 PROCEDURE Symphony_40()    
*------------------------------*    
 
      aNotas7={55,2,54,2,54,4,55,2,54,2,54,4,55,2,54,2,54,4,62,4,1,4,;
	      62,2,61,2,59,4,59,2,57,2,55,4,55,2,54,2,;
	      52,4,52,4,1,4,54,2,52,2,52,4,54,2,52,2,52,4,54,2,52,2,;
	      52,4,61,4,1,4,61,2,59,2,58,4,58,2,55,2,54,4,54,2,52,2,;
	      50,4,50,4,1,4,62,2,61,2,61,4,64,4,58,4,61,4,;
	      59,4,54,4,1,4,62,2,61,2,61,4,64,4,58,4,61,4,;
	      59,4,62,4,61,2,59,2,57,2,55,2,54,4,46,4,47,4,49,4,;
	      50,4,52,2,50,2,49,4,47,4,54,4,1,4,65,8,;
	      66,2,1,6,65,8,66,2,1,6,65,8,;
	      66,4,65,4,66,4,65,4,66,4}

  Sonido(aNotas7)   
  
 RETURN

*------------------------------*
 PROCEDURE Funeral_March()         
*------------------------------*   
 
      aNotas8={37,1,1,2,30,1,1,5,42,3,42,3,41,3,39,3,41,3,1,3,42,3,44,3,1,3,37,1,1,2,;
	      30,1,1,5,42,3,42,3,41,3,39,3,41,3,1,3,42,3,44,3,1,3,37,3,42,3,1,3,45,3,;
	      49,6,47,3,45,3,1,3,49,3,52,6,50,3,49,3,1,3,53,3,56,6,54,3,53,3,50,3,;
	      49,3,47,3,45,3,44,3,30,1,1,5,42,3,42,3,41,3,39,3,41,3,1,3,42,3,44,3,;
	      1,3,37,1,1,2,30,1,1,5,42,3,42,3,41,3,39,3,41,3,1,3,42,3,44,3,1,3,;
	      37,3,45,3,1,3,49,3,52,6,50,3,49,3,47,3,45,3,43,3,47,3,50,3,42,3,;
	      41,3,42,3,44,3,1,3,45,1,1,2,44,9,42,1}

  Sonido(aNotas8)
     
RETURN

*------------------------------*
 PROCEDURE Stars_And_Stripes()     
*------------------------------*    

      aNotas9={54,6,54,6,52,3,51,3,51,6,50,3,51,3,51,16,1,2,50,3,;
	      51,3,51,6,50,3,51,3,;
	      54,6,51,3,54,3,52,12,49,6,1,3,49,3,49,6,48,3,49,3,;
	      49,6,48,3,49,3,;
	      52,16,1,2,51,3,49,3,51,3,54,9,56,9,56,3,49,16,1,2,54,6,;
	      54,6,52,3,51,3,51,6,50,3,51,3,51,16,1,2,50,3,51,3,51,6,50,3,51,3,;
	      52,3,51,3,49,5,46,1,49,12,47,6,1,3,47,3,47,6,46,3,47,3,50,6,49,3,47,3,;
	      59,15,1,3,47,3,49,3,51,3,54,1,1,2,47,3,49,3,51,3,54,1,1,2,42,3,44,5,;
	      51,1,49,12,47,1}


  Sonido(aNotas9) 
    
RETURN

*------------------------------*
 PROCEDURE El_sombrero()                
*------------------------------*    
 
      aNotas10={52,2,57,2,1,2,52,2,57,2,1,2,52,2,57,6,1,4,52,2,57,2,59,2,57,2,56,4,;
	      57,2,59,2,1,8,52,2,56,2,1,2,52,2,56,2,1,2,52,2,56,6,1,4,52,2,;
	      56,2,57,2,56,2,54,4,56,2,57,2,1,6,64,2,63,2,64,2,61,2,60,2,61,2,;
	      57,2,56,2,57,2,52,2,1,4,49,2,50,2,52,2,54,2,56,2,57,2,59,2,61,2,;
	      62,2,59,2,1,4,62,2,61,2,62,2,59,2,58,2,59,2,56,2,55,2,56,2,52,2,;
	      1,4,64,2,63,2,64,2,66,2,64,2,62,2,61,2,59,2,57,2}

  Sonido(aNotas10)     
 
RETURN

*------------------------------*
 PROCEDURE Sakura()                
*------------------------------*  
  
        aNotas11={49,8,49,8,51,12,1,4,49,8,49,8,51,12,1,4,49,8,51,8,52,8,51,8,;
	       49,8,51,4,49,4,45,16,44,8,40,8,44,8,45,8,;
	       44,8,44,4,40,4,39,16,49,8,49,8,51,12,1,4,49,8,49,8,51,12,1,4,;
	       40,8,44,8,45,8,49,8,51,4,49,4,45,8,44,16}

  Sonido(aNotas11) 
    
RETURN

*------------------------------*
 PROCEDURE Escalas()                  
*------------------------------*    
   
      aNotas12={38,1,39,1,40,1,41,1,42,1,43,1,44,1,45,1,46,1,47,1,;
	      48,1,49,1,50,1,51,1,52,1,53,1,54,1,55,1,56,1,;
	      57,1,58,1,59,1,60,1,61,1,62,1,63,1,64,1,65,8,1,4,;
	      65,8,64,1,63,1,62,1,61,1,60,1,59,1,58,1,57,1,;
	      56,1,55,1,54,1,53,1,52,1,51,1,50,1,49,1,48,1,;
	      47,1,46,1,45,1,44,1,43,1,42,1,41,1,40,1,39,1,38,8}

  Sonido(aNotas12) 
    
RETURN

*------------------------------*
PROCEDURE Popurrys()              
*------------------------------*    
   
      aNotas13={50,3,50,3,52,3,54,3,50,3,54,3,52,3,45,3,50,3,50,3,52,3,54,3,50,6,;
	      42,1,1,1,42,1,1,1,42,1,1,1,47,1,1,5,51,1,1,3,42,1,1,1,42,1,1,1,;
	      42,4,46,4,49,4,49,4,1,4,61,2,1,2,61,2,1,6,58,2,1,2,58,2,1,6,42,4,42,4,;
              49,4,1,4,61,2,1,2,61,2,1,6,59,2,1,2,59,2,1,6,41,4,41,4,44,4,51,4,51,4,;
	      47,2,1,2,47,2,49,2,1,2,49,2,51,2,54,2,51,2,47,2,1,2,42,2,;
              62,2,59,2,1,4,62,2,61,2,62,2,59,2,58,2,59,2,56,2,55,2,56,2,52,2,;
              55,2,54,2,54,4,55,2,54,2,54,4,55,2,54,2,54,4,62,4,1,4,;
              52,4,61,4,1,4,61,2,59,2,58,4,58,2,55,2,54,4,54,2,52,2,;
	      26,1,35,1,24,1,43,1,52,1,41,1,30,1,49,1,48,1,;
              1,3,37,1,1,2,30,1,1,5,42,3,42,3,41,3,39,3,41,3,1,3,42,3,44,3,1,3,;
                44,8,44,4,40,4,39,16,49,8,49,8,51,12,1,4,49,8,49,8,51,12,1,4,;
	      47,1,36,1,45,1,34,1,33,1,42,1,41,1,40,1,39,1,38,8}

  Sonido(aNotas13) 
    
RETURN

*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*


*--------------- TOOLTIP ----------------*

#pragma BEGINDUMP

#include <windows.h>
#include "hbapi.h"

HB_FUNC ( SENDMESSAGESTRING )
{
  hb_retnl( (LONG) SendMessage( (HWND) hb_parnl(1), (UINT) hb_parni(2), (WPARAM) hb_parnl(3), (LPARAM) (LPSTR) hb_parc(4) ) );
}

#pragma ENDDUMP

*---------------------------------------*

*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*























































































































































































































































